Mantis

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0015311Runner[All Projects] Time LinesPublic2014-07-10 11:422017-03-02 15:33
Reporterraimis001 
Assigned ToFritz 
PriorityMediumSeverityC - GeneralReproducibility100%
StatusClosedResolutionFixed 
Platform OS OS Version
Summary0015311: Time Lines: Timeline add moment script
DescriptionI used code for add new timeline moment from help:

object create event:

globalvar tl;
global.tl = timeline_add();

var i = room_speed * 5;
repeat(3)
{
timeline_moment_add_script(global.tl, i, sEvent);
i += room_speed * 5;
}

timeline_moment_add_script(global.tl,i, sEventEnd);

timeline_index = global.tl;
timeline_running = true;

script sEvent:
show_debug_message("Event script " + string(timeline_position));
instance_create(irandom(room_width), irandom(room_height), object1);

script sEventEnd:
show_debug_message("END event script " + string(timeline_position));

after execute game all 4 events call in same time, objects create in same time and get debug message:
Event script 151
Event script 151
END event script 151
Event script 151
Steps To Reproducehttp://yoyogames.zendesk.com/attachments/token/0mKYpBURprltzwR4FDYEKEZXD/?name=timeLineTest.gmz [^]

Looks like the timeline_moment_add_script function is not work correctly.
Doesn't matter what value you give for the step event all events in the timeline will trigger at the same time.
Additional InformationOriginal helpdesk ticket: http://help.yoyogames.com/tickets/65163 [^]
1.4 Version1.2.1347
2.x Runtime Version
2.x Runtime Version Verified In
Attached Files? file icon timeLineTest2.gmz [^] (904,952 bytes) 2014-07-11 15:33

- Relationships

-  Notes
(0030699)
Neil Wicker (Updater)
2014-07-11 15:33

Reproduced in 1.99.170 - the added scripts are executed in the wrong order and all at once regardless of what moment they were set to. I've added a new sample to make it more clear. Assigned.
(0051904)
Ross Manthorp (Administrator)
2017-03-02 15:33

Verified. Closed.


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker